package org.ow2.util.ee.metadata.war.impl.configurator;

import org.ow2.util.ee.deploy.api.deployable.WARDeployable;
import org.ow2.util.ee.metadata.war.impl.WarDeployableMetadata;
import org.ow2.util.scan.api.configurator.IArchiveConfigurator;
import org.ow2.util.scan.api.configurator.IClassConfigurator;
import org.ow2.util.scan.api.metadata.structures.JClass;

/**
 * EjbJarArchiveMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarDeployableMetadataConfigurator implements IArchiveConfigurator {

    /**
     * archive metadata.
     */
    private WarDeployableMetadata warDeployableMetadata;

    /**
     * Constructor.
     * @param warDeployable the web archive
     */
    public WarDeployableMetadataConfigurator(final WARDeployable warDeployable) {
        this.warDeployableMetadata = new WarDeployableMetadata(warDeployable);
    }

    /**
     * @param jClass signature
     * @return class configurator
     */
    public IClassConfigurator createClassConfigurator(final JClass jClass) {
        return new WarClassMetadataConfigurator(jClass, this.warDeployableMetadata);
    }

    /**
     * @return the archive metadata
     */
    public WarDeployableMetadata getWarDeployableMetadata() {
        return this.warDeployableMetadata;
    }

}
