/**
 * EasyBeans
 * Copyright (C) 2007-2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EZBENCBindingHolder.java 2978 2008-04-27 15:42:41Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.war.impl.enc;

import java.util.List;

import org.ow2.util.ee.metadata.common.api.struct.IJAnnotationResource;
import org.ow2.util.ee.metadata.common.api.struct.IJEjbEJB;
import org.ow2.util.ee.metadata.common.api.struct.IJavaxPersistenceContext;
import org.ow2.util.ee.metadata.common.api.struct.IJavaxPersistenceUnit;

/**
 * Manage different types that need to be stored in ENC env.
 * @author Florent BENOIT
 */
public interface EZBENCBindingHolder {

    /**
     * @return the list of persistence context bindings.
     */
    List<IBinding<IJavaxPersistenceContext>> getPersistenceContextBindings();

    /**
     * @return the list of persistence unit bindings.
     */
    List<IBinding<IJavaxPersistenceUnit>> getPersistenceUnitBindings();

    /**
     * @return the list of resource bindings.
     */
    List<IBinding<IJAnnotationResource>> getResourceBindings();

    /**
     * @return the list of EJB bindings.
     */
    List<IBinding<IJEjbEJB>> getEJBBindings();

}
